commit:     a75166b7d87e2ea74c244b73c187951430751efa
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Dec  1 18:59:23 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Dec  1 19:14:55 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a75166b7

dev-python/twine: Bump to 3.7.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/twine/Manifest           |  1 +
 dev-python/twine/twine-3.7.0.ebuild | 54 +++++++++++++++++++++++++++++++++++++
 2 files changed, 55 insertions(+)

diff --git a/dev-python/twine/Manifest b/dev-python/twine/Manifest
index 6f7d9ec6e5a8..b09b75184438 100644
--- a/dev-python/twine/Manifest
+++ b/dev-python/twine/Manifest
@@ -1,2 +1,3 @@
 DIST twine-3.4.2.tar.gz 212266 BLAKE2B 
602bb72f4be1c0d28341fb3378a5d55737c14555495640ae3414a1c8e7ca0c06b2c2ce3c358130251c02f0a51b61eb362a1e999c3945d4d1d7afd7bcd4d17807
 SHA512 
3f6d8992294a35e2a26be64f56c88d31af63b05f3f477d545bc82d928ca1b9939d23fa489eca5232502a49def77d489eaf6a29663d150f78b5cdb99749ff9b50
 DIST twine-3.6.0.tar.gz 211971 BLAKE2B 
763f021e374c86749bca77ca67a5fe534acf333464d6cc2f978de4625abc09b7574aa31de927300983eb6feb801e77a169f11deb4edc5036df73943778f5844d
 SHA512 
41da4d89ac69c692a98545aefffd9afd4c7b0287179807906504b4121bf9257095b227ec2966d98983939fa76fb8509f6ffa2577c0e7b4c7f43f614f44745460
+DIST twine-3.7.0.tar.gz 212591 BLAKE2B 
116d96a058cb53e0626747aaeae40c63fd6ece4ed8ef537c3890f99226f34827b65e5e894f5f04a24999d5ca2bcf182505e08075c4ff8b979d7be71e05f645ef
 SHA512 
d7ddfdfcbaa7a5e3eba3657a06da090eeecbf373646e64d659f420fae4ba10c16c2c02e85bdf9c1f050b86177f19c85aa20183ad9d546cb053a11d60db0851f3

diff --git a/dev-python/twine/twine-3.7.0.ebuild 
b/dev-python/twine/twine-3.7.0.ebuild
new file mode 100644
index 000000000000..9e3c290e3791
--- /dev/null
+++ b/dev-python/twine/twine-3.7.0.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_SETUPTOOLS=pyproject.toml
+PYTHON_COMPAT=( python3_{8..10} pypy3 )
+inherit distutils-r1
+
+DESCRIPTION="Collection of utilities for publishing packages on PyPI"
+HOMEPAGE="https://twine.readthedocs.io/ https://github.com/pypa/twine 
https://pypi.org/project/twine/";
+SRC_URI="https://github.com/pypa/twine/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86 
~x64-macos"
+
+RDEPEND="
+       >=dev-python/colorama-0.4.3[${PYTHON_USEDEP}]
+       >=dev-python/importlib_metadata-3.6[${PYTHON_USEDEP}]
+       >=dev-python/keyring-15.1[${PYTHON_USEDEP}]
+       >=dev-python/pkginfo-1.8.1[${PYTHON_USEDEP}]
+       >=dev-python/readme_renderer-21.0[${PYTHON_USEDEP}]
+       >=dev-python/requests-2.20.0[${PYTHON_USEDEP}]
+       >=dev-python/requests-toolbelt-0.8.0[${PYTHON_USEDEP}]
+       >=dev-python/rfc3986-1.4.0[${PYTHON_USEDEP}]
+       >=dev-python/tqdm-4.14[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       dev-python/setuptools_scm[${PYTHON_USEDEP}]
+       test? (
+               dev-python/jaraco-envs[${PYTHON_USEDEP}]
+               dev-python/jaraco-functools[${PYTHON_USEDEP}]
+               dev-python/munch[${PYTHON_USEDEP}]
+               dev-python/portend[${PYTHON_USEDEP}]
+               dev-python/pretend[${PYTHON_USEDEP}]
+               dev-python/pypiserver[${PYTHON_USEDEP}]
+               dev-python/pytest[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests --install pytest
+
+python_prepare_all() {
+       # requires internet
+       rm -f tests/test_integration.py || die
+       # pytest-socket dep relevant only to test_integration, and upstream
+       # disables it anyway
+       sed -i -e '/--disable-socket/d' pytest.ini || die
+       sed -i -e '/--cov/d' pytest.ini || die
+
+       distutils-r1_python_prepare_all
+       export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+}

Reply via email to